Забыли пароль?
Запросите новый здесь.

Автор темы: Kaoru
ID темы: 588
Информация:
Тема содержит 34 сообщения, была просмотрена 5069 раз.  Имеются прикрепленные файлы.
Просмотр темы
PHP-Fusion Russia » Поддержка 7 версии » Ошибки, баги
 Распечатать тему
Проблема с форумом на v.7.02.1
Kaoru
Всё же я не понимаю что не так..
 
dark
Выше Были написаны ошибки. Посмотрел по файлам от 7.02.01 на этих строках нет переменных какие указаны в ошибках. Толи у вас установлена бета какая, толи файлы изменены чем то (типа вируса в компе), но там физически не может произойти такой ошибки так как там такого нету.

Пример:
Ошибка Дата Статус
T:homelocalhosthomesiteforumpostnewthread.php
sprintf() [<a href='http://www.php.su/functions/?function.sprintf'>function.sprintf</a>]: Too few arguments Строка: 216


216 строка файла postnewthread.php

if ($fdata['forum_attach'] && checkgroup($fdata['forum_attach'])) {


Откуда тут может быть ошибка sprintf - тут нет такого.
 
Kaoru
Я не обновлял сайт с предыдущих версий, я ставлю чистую с этого сайта 7.02.1, сам ничего не менял, может у меня не подключен какой-нибудь модуль в php.ini? так как в 7.02.1 мини чат не работает без php_mbstring.dll (вроде так)..
 
jikaka
7.01.05 пробовал поставить?
проблемы были с ней?
 
Web
dark
Типа файлов аттачей не менял случаем?
 
Kaoru
jikaka написал:

7.01.05 пробовал поставить?
проблемы были с ней?

Вот только что поставил рядом 7.01.5 там работает форум, а на 7.02.1 всё по старому..
 
Kaoru
dark написал:

Типа файлов аттачей не менял случаем?


Нет, я же написал, что такая вещь даже на только что поставленном с 0 сайте, где я создал только форум и подфорум и пытался написать тему, которая после не отображается.
 
Kaoru
Всё таки есть вариант что чего-то не хватает в php.ini или ещё где то, так как 7.01.5 работает нормально а 7.02.1 не хочет, а стоят на одном сервере..
 
jikaka
скорее всего!
пробовал на локалке поставить 7.02.01?
например на денвере?
если там все норм, то сравни файлы php.ini
 
Web
Kaoru
Так всё и стоит на локалке ) через stpsever (тоже самое что и денвер, только проект другой) сейчас попробую.
 
Kaoru
На денвере работает.. но я не смогу его использовать, так как у меня сайт идёт не для одной сети а для 3х две локалки, третья через OpenVPn
 
dark
Вообще судя по ошибке - нехватает какого то расширения php для корректной работы с файлами. Там как раз идет проверка аттачей. А вот уже чего это ищи у себя.
 
Kaoru
Искать где? в чём? Весь сервер рыть это жесть.
 
dark
Посмотри php.ini у меня сейчас с этими расширениями все работает без проблем.

extension=php_gd2.dll
extension=php_mbstring.dll
extension=php_mysql.dll
extension=php_mysqli.dll
extension=php_pdo.dll
extension=php_pdo_mysql.dll
 

Поделиться этой темой
Социальные закладки: Vkontakte Odnoklassniki Mail.ru Facebook Google Tweet This
URL:
BBcode:
HTML:

Перейти на форум: